let
  unstable = import (fetchTarball https://nixos.org/channels/nixos-unstable/nixexprs.tar.xz) { };
in { pkgs ? import <nixpkgs> {} }:
  pkgs.mkShell {
    nativeBuildInputs = with pkgs; [
      python3
      (with python3Packages; [
        beautifulsoup4
        numpy
        pillow
        pwntools
        pycryptodome
        requests
      ])

      nodejs
      php

      bat
      binwalk
      coreutils
      gnugrep
      gnutar
      ripgrep
      curl
      #sxiv
      feh

      ghidra
      pwninit

      metasploit
      sqlmap

      exiftool
      steghide
      # stegsolve

      dig
      nmap
      rustscan
      unstable.thc-hydra

      # davtest
      # cadaver
      httpie

      john
      unstable.hashcat

    ] ++ lib.optionals (pkgs.stdenv.isLinux) [
      sage
      gdb
      pwndbg
      ropgadget
      ropper
      wireshark
      tcpdump
    ];

}
